IRQ_REMOVE_GENERIC_C(9)

NAME
irq_remove_generic_chip - Remove a chip

SYNOPSIS

void irq_remove_generic_chip(struct irq_chip_generic * gc, u32 msk, unsigned int clr, unsigned int set);

ARGUMENTS

gc
    Generic irq chip holding all data

msk
    Bitmask holding the irqs to initialize relative to gc->irq_base

clr
    IRQ_* bits to clear

set
    IRQ_* bits to set

DESCRIPTION

Remove up to 32 interrupts starting from gc->irq_base.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT